Welcome! Log In Create A New Profile
We moved to this Improved Forum!







Do not use this old forum, we MOVED to here!

Advanced

Automatix2 on Elive

Posted by MoOsTiCk 
This forum is currently read only. You can not log in or make any changes. This is a temporary situation.
Automatix2 on Elive
April 06, 2008 08:21PM
Hi folks,

For those of you wishing to install things like Google Earth, Picasa, Real Player and lots more, just do as follows :

The simplest way seemed doing as on an Ubuntu by installing the Automatix 2 scripts.
- At first, make sure you have non-free & contrib repositories in your /etc/apt/sources.list, like this :

deb [ftp.fr.debian.org] etch main non-free contrib

(you may adapt to your location, not everybody has the luck to live in France ;-) ).

- Update your package database, if you have to :
# apt-get update

Then proceed as follows for installing automatix2 :

# echo "deb [www.getautomatix.com] etch main" | tee -a /etc/apt/sources.list

# wget [www.getautomatix.com]

# gpg --import automatix2.key

# gpg --export --armor E23C5FC3 | sudo apt-key add -

... Update your packages database again :
# apt-get update

... and finally install automatix :
# apt-get install automatix2

... This is not quite over ! You need to modify a file that makes automatix check the distro version at startup. Go to /usr/lib/automatix2/, and ;

# cd /usr/lib/automatix2/
# cp distro_helpers.py distro_helpers.py-original
vim distro_helpers.py

... and once there, locate the string :
versions = (('6.06','6.06'),('6.10','6.10'),('7.04','7.04'),('4.0r0','4.0r0'))
... and replace it to :
versions = (('6.06','6.06'),('6.10','6.10'),('7.04','7.04'),('4.0','4.0r0'))

...That's it. Save and run automatix as root :
# automatix2

... and choose in the list the programs you wish to install in the list.

I tried this succesfully on two different setups of Elive on a Dell Laptop and a Arsrock-based PC. I hope this will help.

Yours,
Re: Automatix2 on Elive
July 13, 2009 05:23AM
Due to my request,Theemahn,the developper of the Ultamatix,the successor of the old Automatix,will release the latest version(1.8.0-7) to be compatible with Debian too.So just wait few more weeks.
Edit:this one works for Debian Sid only.
[www.ultamatix.com]

Procesor Intel Ci3-2100 3.10Ghz,64bit,3MB BOX,
4GB RAM DDR3 1333mhz,
NVIDIA GeForce 210,1GB DDR3,PCI-E,
Linux user:#492560,E17-Ecomorph user.
"This is Linux land!In silent nights you can hear Windows machines rebooting!..."
[www.youtube.com] [stanca-ultimateeditionromania.blogspot.com]#



Edited 1 time(s). Last edit at 07/16/2009 01:32AM by stanca.
Re: Automatix2 on Elive
July 25, 2009 02:59AM
Finally Ultamatix working on Elive:boogie
[forumubuntusoftware.info]
Just wait for the new 1.8-08 version.
[ultamatix.com]

Procesor Intel Ci3-2100 3.10Ghz,64bit,3MB BOX,
4GB RAM DDR3 1333mhz,
NVIDIA GeForce 210,1GB DDR3,PCI-E,
Linux user:#492560,E17-Ecomorph user.
"This is Linux land!In silent nights you can hear Windows machines rebooting!..."
[www.youtube.com] [stanca-ultimateeditionromania.blogspot.com]#



Edited 1 time(s). Last edit at 10/23/2009 03:57AM by stanca.
Re: Automatix2 on Elive
July 26, 2010 07:51AM
Any news? Does this really work on Elive?
Re: Automatix2 on Elive
July 26, 2010 08:41AM
Tried, does not start.